Web Hosting
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

WordPress fix WooCommerce on Windows

Discussion in 'Misc WordPress Requests' started by nzsnowman, Oct 14, 2017.

  1. nzsnowman

    Guest

    WooCommerce on Windows, by nzsnowman

    Installed WooCommerce for a client. Thought we had all the data required for Stripe, client added products and made (at least one) sale.

    Now it seems Stripe isn’t talking to PayPal’s API or WordPress can’t operate Stripe because of versions and SSL.

    Two errors of note displayed are:
    “WooCommerce Gateway PayPal Express Checkout requires OpenSSL >= 1.0.1 to be installed on your server”

    I’m a reseller for a host using Windows Servers. Which don’t (or won’t) support OpenSSL

    … and:

    “WooCommerce Stripe – The minimum PHP version required for this plugin is 5.6.0. You are running 5.3.21.”

    They can’t give me anything higher than 5.4.

    As I say, the client has made at least one sale via PayPal – but we have no idea where the money has gone! It isn’t in his account (obviously).

    Is there a solution for WooCommerce that can get around OpenSSL requirements and/or can I find a legacy version that doesn’t require such a high PHP version ?

    WooCommerce – and in fact, WordPress – as a Plug ‘n Play solution is losing its appeal. And I could be losing a customer.

    Thanks for any help.
    ~AS.

    WooCommerce on Windows
     
    #1

Share This Page

Web Hosting